import { MockzillaExpectation } from "./types";
export declare class MockzillaNode {
    private readonly path;
    private readonly proxy;
    private disabled;
    private children;
    constructor(path: string);
    private pathTo;
    private notImplemented;
    private disabledCheck;
    private disabledCheckNotImplemented;
    private getNested;
    allow(key: string): void;
    setValue(key: string, value: any): void;
    addExpectation(key: string, expectation: MockzillaExpectation | null): void;
    getCalls(key: string): any[][];
    private getChild;
    private createMethod;
    private getChildNode;
    getProxy(): any;
    disable(): void;
    enable(): void;
    isDisabled(): boolean;
    verify(): void;
    verifyAndDisable(): void;
}
